
QGIS Application - Bug report #6184

Map canvas does not update after "paste style"

2012-08-12 09:33 PM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15498

Description

Right-click on a vector layer in the TOC and click "copy style".

Right-click on another vector layer in the TOC and click "paste style".

The map canvas is not updated.  You need to pan it or something to force an update.

Associated revisions

Revision cd3cd943 - 2013-02-23 03:16 AM - Larry Shaffer

Fix #6184, canvas doesn't refresh after pasting layer style

History

#1 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2013-02-22 08:39 AM - Regis Haubourg

confirmed on master.

#3 - 2013-02-22 06:18 PM - Larry Shaffer

- Status changed from Open to Closed

Fixed in changeset commit:"cd3cd9433e8988e62720401402c5841db08d7a12".

#4 - 2013-02-24 05:42 PM - Mathieu Pellerin - nIRV

Larry, confirmed fixed. There is however a small issue left unresolved, which is and isn't directly link to this. When clicking on Paste Style, the layer item

collapses. Pasting style should respect the expended/collapsed state of the selected layer item.

A similar issue was fixed sometime ago re unwanted collapse when applying style from the layer property window, see issue #6410.

Cheers.
